export const Missions = {
  list: [
    {
      levelmin: 0,
      levelmax: 7
    },
    {
      levelmin: 0,
      levelmax: 7,
      tp: 0,
      money: 5,
      items: [
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item",
        "wesl3y:trash_item"
      ]
    },
    {
      levelmin: 5,
      levelmax: 10,
      tp: 0,
      money: 10,
      enemies: [
        "wesl3y:mission.iruka_clone"
      ]
    },
    //gai
    {
      levelmin: 10,
      levelmax: 35,
      tp: 1,
      money: 20,
      enemies: [
        "wesl3y:mission.bandit",
        "wesl3y:mission.bandit",
        "wesl3y:mission.bandit"
      ]
    },
    {
      levelmin: 30,
      levelmax: 65,
      tp: 2,
      money: 40,
      coords: [-200, 0, 150],
      enemies: [
        "wesl3y:gaara_classic"
      ]
    },
    {
      levelmin: 60,
      levelmax: 500,
      tp: 4,
      money: 70,
      enemies: [
        "wesl3y:kisame_classic"
      ]
    },
    {
      levelmin: 0,
      levelmax: 7
    },
    //kakashi
    {
      levelmin: 10,
      levelmax: 35,
      tp: 1,
      money: 20,
      enemies: [
        "wesl3y:mission.bandit",
        "wesl3y:mission.bandit",
        "wesl3y:mission.bandit"
      ]
    },
    {
      levelmin: 30,
      levelmax: 65,
      tp: 2,
      money: 40,
      coords: [100, 0, 450],
      enemies: [
        "wesl3y:sasuke_classic"
      ]
    },
    {
      levelmin: 60,
      levelmax: 500,
      tp: 4,
      money: 70,
      coords: [20, 0, 200],
      enemies: [
        "wesl3y:mission.anbu"
      ]
    },
    //tsunade
    {
      levelmin: 20,
      levelmax: 35,
      tp: 1,
      money: 10,
      items: [
        "wesl3y:scroll.seal"
      ]
    },
    {
      levelmin: 40,
      levelmax: 65,
      tp: 3,//era pra ser 4, mas fiz 2 + metade
      money: 60,//era pra ser 80, mas fiz 40 + metade
      coords: [-20, 0, -350],
      enemies: [
        "wesl3y:zabuza"
      ]
    },
    {
      levelmin: 70,
      levelmax: 500,
      tp: 4,
      money: 70,
      coords: [-450, 0, 760],
      enemies: [
        "wesl3y:itachi_classic"
      ]
    },
    {
      levelmin: 5,
      levelmax: 999,
      items: [
        "minecraft:blaze_powder",
        "minecraft:potion",
        "minecraft:totem_of_undying",
        "wesl3y:scroll.seal"
      ],
      give: [
        "wesl3y:yang_palm_cure"
      ],
      givetag: [
        "unlock.palmCure"
      ]
    },
    {},
    {},
    {},
    {},
    {},
    {},
    {},
    {},
    {},
    {},
    {},
    {},
    {},
    {},
    {},
    {},
    {}
  ]
};

export const Powers = {
  "fire_ball": {
    name: true,
    requeries: "unlock.fire1",
    animation1: "playanimation @s animation.jutsu.fire_ball wesl3y",
    sound1: "playsound fire_ball @a ~~~ 1.5",
    shoot1: ["wesl3y:jutsu_projetil", null, "fire_ball"]
  },
  "phoenix_flower": {
    name: true,
    requeries: "unlock.fire2",
    animation1: "playanimation @s animation.jutsu.phoenix_flower wg",
    sound1: "playsound phoenix_flower @a ~~~ 1.5",
    shoot1: ["wesl3y:jutsu_projetil", null, "phoenix_flower"],
    timeUse2: 7,
    sound2: "playsound phoenix_flower @a ~~~ 1.5",
    shoot2: ["wesl3y:jutsu_projetil", null, "phoenix_flower"],
    timeUse3: 7,
    sound3: "playsound phoenix_flower @a ~~~ 1.5",
    shoot3: ["wesl3y:jutsu_projetil", null, "phoenix_flower"],
    timeUse4: 7,
    sound4: "playsound phoenix_flower @a ~~~ 1.5",
    shoot4: ["wesl3y:jutsu_projetil", null, "phoenix_flower"],
    timeUse5: 7,
    sound5: "playsound phoenix_flower @a ~~~ 1.5",
    shoot5: ["wesl3y:jutsu_projetil", null, "phoenix_flower"]
  },
  "explosive_clone": {
    nameTag: true,
    requeries: "unlock.fire3",
    sound1: "playsound bunshin @a ~~~ 1.5",
    shoot1: ["wesl3y:jutsu_projetil", [0, -1.5, 1], "explosive_clone", 0],
    timeUse2: 2,
    command2: "scriptevent wg:clone"
  },
  "fire_dragon": {
    name: true,
    requeries: "unlock.fire4",
    animation1: "playanimation @s animation.jutsu.fire_ball wesl3y",
    sound1: "playsound fire_ball @a ~~~ 1.5",
    shoot1: ["wesl3y:jutsu_projetil", [0, 1, 1], "fire_dragon"]
  },
  "earth_spears": {
    onGround: true,
    name: true,
    requeries: "unlock.earth1",
    animation1: "playanimation @s animation.jutsu.earth_spears wesl3y",
    sound1: "playsound doton.earth_wall @a ~~~ 1.5",
    summon1: ["wesl3y:jutsu_attack", 0, 0, 4, "doton.earth_spears"]
  },
  "earth_golem": {
    onGround: true,
    name: true,
    requeries: "unlock.earth2",
    nameCustom: "Earth Golem\n",
    animation1: "playanimation @s animation.jutsu.earth_golem wesl3y",
    sound1: "playsound doton.earth_wall @a ~~~ 1",
    shoot1: ["wesl3y:jutsu_projetil", [0, -1.5, 1], "doton.earth_golem", 0]
  },
  "earth_wall": {
    onGround: true,
    name: true,
    requeries: "unlock.earth3",
    animation1: "playanimation @s animation.jutsu.earth_wall wesl3y",
    sound1: "playsound doton.earth_wall @a ~~~ 1.5",
    summon1: ["wesl3y:jutsu_attack", 0, 0, 3, "doton.earth_wall"]
  },
  "underworld_swamp": {
    onGround: true,
    name: true,
    requeries: "unlock.earth4",
    animation1: "playanimation @s animation.jutsu.underworld_swamp wesl3y",
    sound1: "playsound doton.underworld_swamp @a ~~~ 1.5",
    summon1: ["wesl3y:jutsu_attack", 0, 0, 12, "doton.underworld_swamp"]
  },
  "byakugan_trigramas": {
    onGround: true,
    name: true,
    animation1: "playanimation @s animation.jutsu.byakugan.trigramas wesl3y",
    command1: "tp @s ~~~ ~ 0",
    command1_2: "camera @s set minecraft:free ease 1.5 linear pos ^0.7^2.25^3 rot ~35~170",
    sound1: "tag @s add knockback0",
    summon1: ["wesl3y:jutsu_attack", 0, 0.25, 0, "byakugan.trigramas"],
    command2: "inputpermission set @s movement disabled",
    sound2: "effect @s darkness 9 4 true",
    timeUse3: 60,
    command3: "camera @s clear",
    timeUse4: 100,
    command4: "inputpermission set @s movement enabled",
    sound4: "tag @s remove knockback0"
  },
  "byakugan_vacuum_palm": {
    name: true,
    animation1: "playanimation @s animation.jutsu.byakugan.vacuum_palm wesl3y",
    sound1: "playsound dash @a ~~~ 1.5",
    timeUse2: 2,
    shoot2: ["wesl3y:jutsu_projetil", [0.4, 0, 0], "byakugan.vacuum_palm"]
  },
  "sharingan_genjutsu": {
    sound1: "playsound sharingan @a ~~~ 0.25",
    animation1: "execute positioned ^^^3.75 at @e[r=3,family=!attack,family=!inanimate,type=!item,type=!xp_orb] as @s run camera @s set minecraft:free ease 0.35 linear pos ^^2^3 rot ~35~180",
    command1: "execute positioned ^^^3.75 run effect @e[r=3,family=!attack,family=!inanimate,type=!item,type=!xp_orb] blindness 3 255 true",
    command2: "execute positioned ^^^3.75 run effect @e[r=3,family=!attack,family=!inanimate,type=!item,type=!xp_orb] wither 3 2 true",
    command3: "execute positioned ^^^3.75 run effect @e[r=3,family=!attack,family=!inanimate,type=!item,type=!xp_orb] slowness 3 1 true",
    command4: "execute positioned ^^^3.75 run execute at @e[r=3,family=!attack,family=!inanimate,type=!item,type=!xp_orb] run particle wesl3y:genjutsu",
    sound4: "execute positioned ^^^3.75 run execute at @e[r=3,family=!attack,family=!inanimate,type=!item,type=!xp_orb] run particle wesl3y:genjutsu_sharingan",
    timeUse5: 30,//1,5 Segundos
    animation5: "camera @s clear",
    summon1: ["bat", 0, 1, 0, "itachi"],
    summon2: ["bat", 0, 1, 0, "itachi"],
    summon3: ["bat", 0, 1, 0, "itachi"],
    summon4: ["bat", 0, 1, 0, "itachi"]
  },
  "sharingan_izanagi": {
    sound1: "playsound sharingan @a ~~~ 0.25",
    command1: "tag @s add sha.izanagi",
    command2: 'tellraw @s {"rawtext":[{"translate":"text.izanagi_actived"}]}'
  },
  "mangekyou_amaterasu": {
    sound1: "playsound sharingan @a ~~~ 0.25",
    command1: "tp @s ~~~ ~ 0",
    command1_2: "camera @s fade time 0.1 0.2 0.1 color 0 0 0",
    sound2: "camera @s set minecraft:free ease 0.1 linear pos ^^3^-2 rot ~30 ~",
    timeUse3: 20,
    command3: "function jutsus/amaterasu",
    sound3: "camera @s clear"
  },
  "rasengan": {
    name: true,
    attack: true,
    id: "wesl3y:rasengan",
    timeUseAttack: 2.4,
    animation1: "playanimation @s animation.jutsu.rasengan wesl3y",
    sound1: "playsound rasengan_start @a ~~~ 0.5",
    summon1: ["wesl3y:jutsu_attack", 0, 1.75, 1, "rasengan"],
    animation2: "playanimation @s animation.jutsu.rasengan.target wesl3y",
    animation3: "playanimation @s animation.jutsu.rasengan.attack wesl3y",
    command3: "camera @s clear",
    sound3: "playsound rasengan_attack @a ~~~ 1.5",
  }
}

export let JutsuEntities = {
  "null": {},
  "fire_ball": {
    damage: 40,
    range: 3.75,
    knock: true,
    trail: true
  },
  "phoenix_flower": {
    damage: 15,
    range: 2,
    knock: false,
    trail: false
  },
  "fire_dragon": {
    damage: 150,
    range: 3,
    knock: true,
    trail: true
  },
  "earth_spears": {
    damage: 80,
    range: 6,
    knock: false,
    trail: false
  },
  "water_prison": {
    damage: 30,
    range: 1.5,
    knock: false,
    trail: false
  },
  "trigramas": {
    damage: 12,
    range: 6,
    knock: false,
    trail: false
  },
  "vacuum_palm": {
    damage: 40,
    range: 2.5,
    knock: true,
    trail: true
  },
  "rasengan": {
    damage: 50,
    range: 3.5,
    knock: true,
    trail: true
  }
}
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                                                                  
                                        
                                        
                                        
                                          
                                        
                                          
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      